package sweda;

import com.sun.jna.Native;
import com.sun.jna.Pointer;
import com.sun.jna.ptr.PointerByReference;
import com.sun.jna.win32.StdCallLibrary;

public interface CONVECF extends StdCallLibrary {

	CONVECF INSTANCE = (CONVECF) Native.loadLibrary("CONVECF", CONVECF.class);

	public int ECF_AbrePortaSerial();
	public int ECF_FechaPortaSerial();
	public int ECF_Porta_Velocidade(byte[] porta,byte[] veloc); 
	public int ECF_LigaDesligaJanelas(String papel,String outros);
	
	public int ECF_LeituraX();
	
	/* *
	 * Para adicionar um metodo da dll é só 
	 * colocar a assinatura do metodo aqui e 
	 * chamar o metodo na classe connectC
	 * */ 
	public int ECF_AbreCupom(String cpf);
	
	public int ECF_AbreCupomMFD(String cpf,String nome,String endereco);
	
	public int ECF_VendeItemTresDecimais(String codigo,String descricao,
			String aliquota,String quantidade,String preco,String descAcre,
			String valDescAcre);
	
	public int ECF_VendeItem(String codigo,String descricao,String aliquota,
			String tipoquantidade,String quantidade,int casasValor,
			String preco,String indicePercentual,String desconto);
	
	public int ECF_IniciaFechamentoCupom(String acreDesc,String tipoAcreDesc,
			String valorAcreDesc);
	
	public int ECF_EfetuaFormaPagamento(String especie,String preco);
	
	public int ECF_TerminaFechamentoCupom(String mensagem);
	
	public int ECF_CancelaCupom();
	
	public int ECF_AbreRelatorioGerencial();

	public int ECF_EnviarTextoCNF(String texto);
	
	public int ECF_FechaRelatorioGerencial();
	
	public int ECF_DataHoraImpressora(byte[] data, byte[] hora);
	
	public int ECF_NumeroSerieMFD(byte[] numero);
	
	public int ECF_CGC_IE( byte[] CGC,byte[] IE); 

}
